GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
gdcm::BitmapToBitmapFilter Class Reference

BitmapToBitmapFilter class Super class for all filter taking an image and producing an output image. More...

`#include <gdcmBitmapToBitmapFilter.h>`

Inheritance diagram for gdcm::BitmapToBitmapFilter:
[legend]
Collaboration diagram for gdcm::BitmapToBitmapFilter:
[legend]

## Public Member Functions

| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()
const Bitmap & | GetOutput () const
| Get Output image.
void | SetInput (const Bitmap &image)
| Set input image.

## Protected Attributes

SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

BitmapToBitmapFilter class Super class for all filter taking an image and producing an output image.

## Constructor & Destructor Documentation

gdcm::BitmapToBitmapFilter::BitmapToBitmapFilter | ( |  | ) |

gdcm::BitmapToBitmapFilter::~BitmapToBitmapFilter | ( |  | ) |

inline

## Member Function Documentation

const Bitmap& gdcm::BitmapToBitmapFilter::GetOutput | ( |  | ) | const

inline

Get Output image.

void gdcm::BitmapToBitmapFilter::SetInput | ( | const Bitmap & | image | ) |

Set input image.

Examples:
  CompressImage.cxx.

## Member Data Documentation

SmartPointer<Bitmap> gdcm::BitmapToBitmapFilter::Input

protected

SmartPointer<Bitmap> gdcm::BitmapToBitmapFilter::Output

protected

The documentation for this class was generated from the following file:

- gdcmBitmapToBitmapFilter.h